Skip to main content
POST
/
projects
/
{project_reference}
/
files
/
move
Move Project File
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/files/move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_path": "<string>",
  "destination_path": "<string>"
}
'
{
  "source_path": "<string>",
  "destination_path": "<string>",
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Query Parameters

branch_id
string<uuid>

Branch ID (null for main branch)

Body

application/json
source_path
string
required

Current file path

destination_path
string
required

New file path

Response

File moved successfully

source_path
string
required
destination_path
string
required
success
boolean
required